1. Accounts
Framnex for Developers
  • Introduction
    • Overview
    • Quick Start
    • Authentication
    • Environments
  • Guides
    • Onboard a client
    • Open an account
    • Create an outgoing transfer
    • Handle webhooks
  • Accounts
    • Open account
      POST
    • List accounts
      GET
    • Get account
      GET
  • Auth
    • Get access token
      POST
  • Clients
    • Create client
      POST
    • List clients
      GET
    • Get client creation schema
      GET
    • Get client
      GET
    • Get client state
      GET
  • Transfers
    • Create transfer
      POST
    • List transfers
      GET
    • Get transfer
      GET
  • Webhooks
    • Register webhook URL
      POST
    • Get webhook URL
      GET
    • List webhook deliveries
      GET
    • Get webhook delivery
      GET
    • Retry webhook delivery
      POST
  • Cards
    • List card products
    • List cardholders
    • Issue card
    • List cards
    • Get card
    • Activate card
    • Freeze card
    • Unfreeze card
    • Close card
    • Set card limits
    • Create encryption envelope
    • Reveal card details
    • Set PIN
  • Card Transactions
    • List card transactions
    • Get card transaction
  • Exchange Rates
    • Get exchange rate
  • Incoming Transfers
    • Simulate incoming transfer
  • Transfer Documents
    • Download document
    • List documents
    • Upload documents
  • Documents
    • Uploads one file for the selected client-creation flow; use its UUID in a configured document field.
  • Schemas
    • BaaS API
      • Account
      • AccountCredentials
      • AccountOpenedWebhookPayload
      • AccountOpeningFailedWebhookPayload
      • AccountPagedDataDto
      • AccountState
      • AccountType
      • AchCredentials
      • Address
      • AuthTokenRequest
      • AuthTokenResponse
      • BankDetails
      • BusinessClient
      • BusinessEntity
      • Client
      • CreateBusinessClientRequest
      • ClientCreateType
      • CreateClientRequest
      • ClientCreatedResponse
      • ClientPagedDataDto
      • CreateIndividualClientRequest
      • ClientState
      • ClientStateResponse
      • ClientType
      • ClientsFilter
      • CreateAccountRequest
      • CreateExchangeTransferRequest
      • CreateIncomingTransferRequest
      • CreateOutgoingTransferRequest
      • CredentialsState
      • CreateTransferRequest
      • ExchangeRate
      • CreateTransferType
      • CreatedResponse
      • Credentials
      • CredentialsIssueFailedWebhookPayload
      • CredentialsIssuedWebhookPayload
      • ExchangeTransferProcessingWebhookPayload
      • CryptoCredentials
      • IError
      • CryptoTransferDetails
      • IReason
      • DocumentDto
      • ISuccess
      • EmptyResponse
      • ErrorDetailsDto
      • IdentificationDocument
      • ExchangeTransfer
      • ExchangeTransferCancelledWebhookPayload
      • ExchangeTransferExecutedWebhookPayload
      • FasterUkCredentials
      • FedWireCredentials
      • ForeignTransferParty
      • GasPaymentWebhookPayload
      • IdentificationDocumentType
      • IncomingTransfer
      • IncomingTransferReceivedWebhookPayload
      • OutgoingTransferProcessingWebhookPayload
      • IndividualClient
      • IndividualEntity
      • LegalEntity
      • InternalCredentials
      • Participant
      • LegalEntityType
      • LocalAEDCredentials
      • LocalXafCredentials
      • NeftCredentials
      • Result
      • OnboardingCompletedWebhookPayload
      • OutgoingTransfer
      • RiskLevel
      • OnboardingFailedWebhookPayload
      • OutgoingTransferCancelledWebhookPayload
      • PageInfoDto
      • OutgoingTransferExecutedWebhookPayload
      • TransferPagedDataDto
      • PagedFilterDto
      • PaymentMethod
      • ProblemDetails
      • TransfersFilter
      • PixCredentials
      • RegisterWebhookRequest
      • WebhookDelivery
      • SortOrderDto
      • WebhookDeliveryPagedDataDto
      • SepaCredentials
      • SortDto
      • Transfer
      • WebhookSubscription
      • SwiftCredentials
      • TedPayCredentials
      • WebhooksFilter
      • TransferDetails
      • TransferDetailsType
      • TransferGas
      • TransferState
      • TransferType
      • ValidationProblemDetails
      • UploadedClientDocumentDto
      • UaeFtsCredentials
      • UaeIppCredentials
      • WebhookPayload
      • WebhookState
      • WebhookType
      • YeePayKesLocalCredentials
      • YeePayMxnLocalCredentials
      • YeePayNgnLocalCredentials
    • CardProduct
    • Cardholder
    • IssueCardRequest
    • Card
    • CardType
    • CardState
    • CardPagedDataDto
    • CloseCardRequest
    • SetCardLimitsRequest
    • CardEncryptionEnvelope
    • CardEncryptedDetailsRequest
    • CardEncryptedDetails
    • SetCardPinRequest
    • CardTransaction
    • CardTransactionState
    • CardTransactionPagedDataDto
    • CardNetwork
    • CardIssuanceFee
    • CardShipping
    • CardSpendingLimit
    • CardLimitInterval
    • CardCloseReason
    • CardSecretType
    • CardEncryptedValue
    • CardMerchant
    • CardWebhookType
    • CardWebhookPayload
    • CardIssuedWebhookPayload
    • CardIssuanceFailedWebhookPayload
    • CardStateChangedWebhookPayload
    • CardTransactionAuthorizedWebhookPayload
    • CardTransactionCompletedWebhookPayload
    • CardTransactionReversedWebhookPayload
GuidesBaaS API Reference
Bank Client API ReferenceFrontOffice API Reference
GuidesBaaS API Reference
Bank Client API ReferenceFrontOffice API Reference
  1. Accounts

Get account

GET
/baas/Accounts/{id}
Returns an account of one of your clients: its currency, current balance, state and payment credentials. The
balance and state are read in real time.
The account state is opened, restricted or closed. Each set of payment credentials has its own state;
after opening an account, use this endpoint to check that the credentials you need are issued.
Returns 404 Not Found if the account does not exist or belongs to another integrator.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/baas/Accounts/' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
OK
Bodyapplication/json

Example
{
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "externalId": "string",
    "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
    "currency": "string",
    "amount": 0,
    "state": "pending",
    "credentials": [
        {
            "state": "requested",
            "credentials": {
                "bankDetails": {
                    "bankName": "string",
                    "bankCountry": "string",
                    "bankRegion": "string",
                    "bankAddress": "string",
                    "bic": "string",
                    "intermediaryBic": "string",
                    "bankCode": "string",
                    "routingNumber": "string",
                    "sortCode": "string",
                    "branchCode": "string"
                },
                "type": "sepa",
                "iban": "string",
                "reference": "string"
            }
        }
    ]
}
🟠400
🟠404
🟠422
🔴500
Modified at 2026-09-29 12:10:42
Previous
List accounts
Next
Get access token
Built with